| Home | Libraries | People | FAQ | More

## Struct template decrementable

boost::type_erasure::decrementable

## Synopsis

    // In header: <boost/type_erasure/operators.hpp>

    template<typename T = _self>
    struct decrementable {

      // public static functions
      static void apply(T &);
    };

## Description

The decrementable concept allow pre and post decrement on an any. The contained type must provide a pre-decrement operator.

### `decrementable` public static functions

1.     static void apply(T &);